Bug 25605 - Exporting report as a tab delimited file can produce a lot of warnings
Summary: Exporting report as a tab delimited file can produce a lot of warnings
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Didier Gautheron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-26 11:24 UTC by Didier Gautheron
Modified: 2020-09-10 03:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 25605: Replace NULL values with '' when downloading a report as a tab separated text (1.38 KB, patch)
2020-05-26 11:45 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 25605: Replace NULL values with '' when downloading a report as a tab separated text (1.44 KB, patch)
2020-08-18 14:04 UTC, Marco Abi-Ramia
Details | Diff | Splinter Review
Bug 25605: Replace NULL values with '' when downloading a report as a tab separated text (1.50 KB, patch)
2020-08-18 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Didier Gautheron 2020-05-26 11:24:37 UTC
tabulation export uses a plain join function, but if there's null values you get zillion:

Use of uninitialized value in join or string at /kohadevbox/koha/reports/guided_reports.pl line 904.

in /var/log/koha/kohadev/plack-error.log
Comment 1 Didier Gautheron 2020-05-26 11:45:11 UTC
Created attachment 105357 [details] [review]
Bug 25605: Replace NULL values with '' when downloading a report as a tab separated text

Test plan :
    1- Create a new report : select * from items;
    2- Run it
    3- Download the report as a tab separated text
    4- There's a lot of 'use of uninitialized value in join or string at ...koha/reports/guided_reports.pl line xxx.'
    in plack-error.log
    5- Apply patch
    6- Restart all
    7- Redo 2 and 3
    8- No more warning.
    9- diff both downloaded files, they must be the same.
Comment 2 Marco Abi-Ramia 2020-08-18 14:04:05 UTC
Created attachment 108509 [details] [review]
Bug 25605: Replace NULL values with '' when downloading a report as a tab separated text

Test plan :
    1- Create a new report : select * from items;
    2- Run it
    3- Download the report as a tab separated text
    4- There's a lot of 'use of uninitialized value in join or string at ...koha/reports/guided_reports.pl line xxx.'
    in plack-error.log
    5- Apply patch
    6- Restart all
    7- Redo 2 and 3
    8- No more warning.
    9- diff both downloaded files, they must be the same.

Signed-off-by: Marco Abi-Ramia <marco.abi-ramia@inlibro.com>
Comment 3 Katrin Fischer 2020-08-18 21:39:17 UTC
Created attachment 108561 [details] [review]
Bug 25605: Replace NULL values with '' when downloading a report as a tab separated text

Test plan :
    1- Create a new report : select * from items;
    2- Run it
    3- Download the report as a tab separated text
    4- There's a lot of 'use of uninitialized value in join or string at ...koha/reports/guided_reports.pl line xxx.'
    in plack-error.log
    5- Apply patch
    6- Restart all
    7- Redo 2 and 3
    8- No more warning.
    9- diff both downloaded files, they must be the same.

Signed-off-by: Marco Abi-Ramia <marco.abi-ramia@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-19 07:36:17 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 16:09:20 UTC
backported to 20.05.x for 20.05.04
Comment 6 Lucas Gass 2020-09-04 16:33:05 UTC
backported to 20.05.x for 20.05.04
Comment 7 Aleisha Amohia 2020-09-10 03:50:08 UTC
enhancement, not backported to 19.11.x